> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an API call by its request id

> **Scopes:** `access_log:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/tenant/access-log/{request_id}
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/tenant/access-log/{request_id}:
    get:
      tags:
        - Access Log
      summary: Get an API call by its request id
      description: '**Scopes:** `access_log:read`'
      operationId: get_access_log_entry_v0_tenant_access_log__request_id__get
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
            format: rid_string
            title: Request Id
            description: The id returned in the call's `X-Request-Id` header
            examples:
              - rid_ppu75G8gBVH4SPLYFAPXo
          description: The id returned in the call's `X-Request-Id` header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessLogEntrySuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2ClientCredentialsBearer:
            - access_log:read
components:
  schemas:
    AccessLogEntrySuccess:
      properties:
        data:
          $ref: '#/components/schemas/AccessLogEntryPublic'
      type: object
      required:
        - data
      title: AccessLogEntrySuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    AccessLogEntryPublic:
      properties:
        request_id:
          type: string
          format: rid_string
          title: Request Id
          description: The id returned in the call's `X-Request-Id` header
          examples:
            - rid_ppu75G8gBVH4SPLYFAPXo
        timestamp:
          type: string
          format: date-time
          title: Timestamp
          description: When the call was received
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
          description: The `client_id` of the API client that made the call
        business_id:
          anyOf:
            - type: string
              format: biz_string
            - type: 'null'
          title: Business Id
          description: The Business the call acted on, if any
        method:
          type: string
          title: Method
          description: The HTTP method
          examples:
            - POST
        endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Endpoint
          description: The endpoint that was called, as a route template
          examples:
            - /v0/business/{business_id}/invoice
        path:
          type: string
          title: Path
          description: The path that was called, without the query string
          examples:
            - /v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/invoice
        status:
          type: integer
          title: Status
          description: The HTTP status returned
          examples:
            - 201
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: For a failed call, the error returned
        error_details:
          anyOf:
            - items:
                $ref: '#/components/schemas/AccessLogErrorDetail'
              type: array
            - type: 'null'
          title: Error Details
          description: For a validation error, which fields failed and why
        ip_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip Address
          description: The IP address the call came from
        user_agent:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent
          description: The User-Agent header sent
      type: object
      required:
        - request_id
        - timestamp
        - client_id
        - business_id
        - method
        - endpoint
        - path
        - status
        - error
        - error_details
        - ip_address
        - user_agent
      title: AccessLogEntryPublic
    AccessLogErrorDetail:
      properties:
        field:
          anyOf:
            - type: string
            - type: 'null'
          title: Field
        message:
          type: string
          title: Message
      type: object
      required:
        - field
        - message
      title: AccessLogErrorDetail
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v0/auth/token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.